VictronConnect v4.0

VictronConnect v4.0 is now available

VictronConnect v4.0 has arrived!

You only need look at the headline image above to gain an insight into how versatile this software is, not to mention the amount of midnight oil burned behind the scenes bringing it all to fruition. An exceptional job by software engineer Jesús Miguel Pérez.

What’s different, what’s new – the key points are:

  • Multilingual
  • Faster
  • Smoother
  • New features
  • Tablet layout
  • On-screen help
  • Easier for end users

New features

One of the new features is the battery presets library for Solar Chargers: Users can create a battery preset and that will be stored in the presets library. This way installers don’t need to input all the values again, each time they configure a new installation. Here are some of the other new features below.

Multilingual – Besides English, other languages such as German, French, Italian, Dutch and Spanish have now been added to the redesign.

Tablet version ensures clear layout with additional information.

Ease of use is improved along with onscreen help.

What can VictronConnect do?

Monitor, configure and update the firmware of all Victron products with:

  • built-in VE.Direct port, such as BMV Battery Monitors, MPPT Solar Charge Controllers and Phoenix Inverter VE.Direct 250VA – 500VA.
  • built-in VE.Smart, such as the Blue Smart IP65 Charger and BlueSmart MPPT Solar Charge Controllers

Connect to the product wirelessly using our VE.Direct Bluetooth Smart dongle on iOS, Android and Mac or connect using a VE.Direct to USB interface

Teaser screenshots

Out of the forty or so screenshots, I have from v4.0, here are two teasers before you download the software.

Phone example:

Tablet example:

Before you do anything

As with all software, there are certain requirements and caveats.

  • Minimum macOS version has been increased to macOS 10.10 (OS X Yosemite).
  • Minimum Android version has been increased to Android 4.1
  • Android ARMv5 hardware is no longer supported.
  • Windows XP & Vista are no longer supported. Minimum is now Windows 7.